<?php
if(!empty($_REQUEST))
{
    $_REQUEST['requestURL'] = str_replace('"', '', $_REQUEST['requestURL']);

    $ch = curl_init($_REQUEST['requestURL']);

    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HEADER, false);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

    $fields_string = '';

    if(!empty($_POST))
    {
        foreach($_POST as $key => $value)
        {
            $fields_string .= $key . '=' . $value  . '&';
        }

        $fields_string = rtrim($fields_string, '&');
    }

    curl_setopt($ch, CURLOPT_POSTFIELDS, $fields_string);
sleep(2);
    $response = curl_exec($ch);
    $info = curl_getinfo($ch);

    header(getHeader($info['http_code']));
    echo $response;

    curl_close($ch);
}

function getHeader($errorCode)
{
    $header = "HTTP/1.0 $errorCode";
    switch($errorCode)
    {
        case 100: return "$header Continue";
        case 101: return "$header Switching Protocols";
        case 200: return "$header OK";
        case 201: return "$header Created";
        case 202: return "$header Accepted";
        case 203: return "$header Non-Authoritative Information";
        case 204: return "$header No Content";
        case 205: return "$header Reset Content";
        case 206: return "$header Partial Content";
        case 300: return "$header Multiple Choices";
        case 301: return "$header Moved Permanently";
        case 302: return "$header Found";
        case 303: return "$header See Other";
        case 304: return "$header Not Modified";
        case 305: return "$header Use Proxy";
        case 306: return "$header (Unused)";
        case 307: return "$header Temporary Redirect";
        case 400: return "$header Bad Request";
        case 401: return "$header Unauthorized";
        case 402: return "$header Payment Required";
        case 403: return "$header Forbidden";
        case 404: return "$header Not Found";
        case 405: return "$header Method Not Allowed";
        case 406: return "$header Not Acceptable";
        case 407: return "$header Proxy Authentication Required";
        case 408: return "$header Request Timeout";
        case 409: return "$header Conflict";
        case 410: return "$header Gone";
        case 411: return "$header Length Required";
        case 412: return "$header Precondition Failed";
        case 413: return "$header Request Entity Too Large";
        case 414: return "$header Request-URI Too Long";
        case 415: return "$header Unsupported Media Type";
        case 416: return "$header Requested Range Not Satisfiable";
        case 417: return "$header Expectation Failed";
        case 500: return "$header Internal Server Error";
        case 501: return "$header Not Implemented";
        case 502: return "$header Bad Gateway";
        case 503: return "$header Service Unavailable";
        case 504: return "$header Gateway Timeout";
        case 505: return "$header HTTP Version Not Supported";
    }
}
?>